RmiCallbackMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.rmi.RmiCallbackMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.rmi
Class RmiCallbackMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.rmi.RmiCallbackMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

    public class RmiCallbackMessageReceiver

extends AbstractMessageReceiver

TODO

Field Summary
`protected RmiConnector` | `connector`
`static String` | `PROPERTY_SERVICE_CLASS_NAME` The property name for the service object implementing the callback interface RmiAble This should be set on the inbound endpoint
`protected RmiAble` | `remoteObject`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`RmiCallbackMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)`

Method Summary
`protected void` | `doConnect()` Initializes endpoint
`protected void` | `doDisconnect()` Unbinds Rmi class from registry
`protected void` | `doDispose()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`Object` | `routeMessage(Object message)` Routes message forward

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Field Detail

### PROPERTY_SERVICE_CLASS_NAME

    public static final String PROPERTY_SERVICE_CLASS_NAME

  The property name for the service object implementing the callback interface RmiAble This should be set on the inbound endpoint

  See Also:
    Constant Field Values

### connector

    protected RmiConnector connector

### remoteObject

    protected RmiAble remoteObject

Constructor Detail

### RmiCallbackMessageReceiver

    public RmiCallbackMessageReceiver(Connector connector,
                                      Service service,
                                      InboundEndpoint endpoint)
                               throws CreateException

Throws:
  `CreateException`

Method Detail

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractConnectable`

### doConnect

    protected void doConnect()
                      throws ConnectException

  Initializes endpoint

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `ConnectException`

### doDisconnect

    protected void doDisconnect()

  Unbinds Rmi class from registry

  Overrides:
    `doDisconnect` in class `AbstractConnectable`

### doStart

    protected void doStart()
                    throws MuleException

  Overrides:
    `doStart` in class `AbstractConnectable`
  Throws:
    `MuleException`

### doStop

    protected void doStop()
                   throws MuleException

  Overrides:
    `doStop` in class `AbstractConnectable`
  Throws:
    `MuleException`

### routeMessage

    public Object routeMessage(Object message)
                        throws MuleException

  Routes message forward

  Parameters:
    `message` -
  Returns:
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.